<?php

/**
 * Get Option
 *
 * @return value
 */



function ecc_scripts(){
   
    wp_enqueue_style( 'ecc-style', ECC_ASSETS_PUBLIC . '/css/style.css', time() );
    wp_enqueue_script( 'ecc-script', ECC_ASSETS_PUBLIC . '/js/main.js', array( 'jquery' ), time(), true  );


    $primary_color       = get_theme_mod( 'primary_color', '#FF6C4B' );
    $secondary_color      = get_theme_mod( 'secondary_color', '#222' );

    $css_data             = '
        .dl-cursor, .cursor-style-two:nth-child(1), .cursor-style-three { background-color: ' . esc_attr( $primary_color ) . '; }
        .dl-fill{ border-color: ' . esc_attr( $secondary_color ) . '; }
        .cursor-style-two:nth-child(2){ background-color: ' . esc_attr( $secondary_color ) . '; }
    ';
    wp_add_inline_style( 'ecc-style', $css_data );


    //localize script php code pase to javascript
    $data = [
        'status'        => esc_attr( get_theme_mod( 'custom/_cursor_control', 'yes' ) ),
        'mobile_status' => esc_attr( get_theme_mod( 'mobile_custom_cursor', 'yes' ) ),
    ];
    wp_localize_script( 'ecc-script', 'ecc_data', $data );


}
add_action('wp_enqueue_scripts', 'ecc_scripts');

