<?php
	Kirki::add_section( 'finest_styles', array(
		'title'          => esc_html__( 'Cart Style', 'ecc' ),
		'panel'          => 'ecc_panel',
		'priority'       => 160,
	) );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'custom',
		'settings'    => 'global_box',
		'section'     => 'finest_styles',
			'default'         => '<h3 style="padding:12px 0px; text-align: center; font-size: 16px; background:#ddd; color:#222; margin:0;">' . __( 'Global', 'ecc' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'typography',
		'settings'    => 'global_typography',
		'label'       => esc_html__( 'Global Typography', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => [
			'font-family'    => 'Roboto',
		],
		'priority'    => 10,
		'transport'   => 'postMessage',
		'js_vars'      => [
			[
				'element' => '#finest-area, #finest-total, .product-total-left .product-quenty, .product-total-right #product-show-total, .finest-subtotal-left .product-subtotal, .finest-subtotal-right .subtotal-count, .finest-tax-left .product-tax-left, .finest-tax-right .tax-count, .finest-shipping-left .product-shipping, .finest-total-right .product-shipping-count, .finest-total-left span.finest-total-text, .finest-shipping-right, .finest-action-right, .finest-area-bot .finest-continue span, .finest-area-middle.finest-items .finest-item-title a, .finest-cart-ttile h1, .finest-area-middle.finest-items .finest-item-qty-plus, .finest-area-middle.finest-items .finest-item-qty-minus, .finest-total-right span.total-price, input#finiest_coupon_code:focus, .finest-area-middle.finest-items .finest-item-qty .finest-item-qty-inner input',
				'function' => 'css',
				'property' => 'font-family',
				'suffix' => '!important',
			],
		],
	] );


	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'global_color',
		'label'       => __( 'Global Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finest-area, #finest-total, .product-total-left .product-quenty, .product-total-right #product-show-total, .finest-subtotal-left .product-subtotal, .finest-subtotal-right .subtotal-count, .finest-tax-left .product-tax-left, .finest-tax-right .tax-count, .finest-shipping-left .product-shipping, .finest-total-right .product-shipping-count,.finest-total-left span.finest-total-text, .finest-shipping-right, .finest-action-right, .finest-area-bot .finest-continue span,
				.finest-area-middle.finest-items .finest-item-title a, .finest-cart-ttile h1, .finest-area-middle.finest-items .finest-item-qty-plus, .finest-area-middle.finest-items .finest-item-qty-minus, .finest-total-right span.total-price, input#finiest_coupon_code:focus, .finest-area-middle.finest-items .finest-item-qty .finest-item-qty-inner input ',
				'function' => 'css',
				'property' => 'color',
				'suffix' => '!important',
			],
		]
	] );


	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'mini_cart_box_bg_color',
		'label'       => __( 'Mini Cart Box Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finest-area',
				'function' => 'css',
				'property' => 'background-color',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'custom',
		'settings'    => 'coupon_box',
		'section'     => 'finest_styles',
			'default'         => '<h3 style="padding:12px 0px; text-align: center; font-size: 16px; background:#ddd; color:#222; margin:0;">' . __( 'Coupon Box', 'ecc' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'coupon_width',
		'label'       => esc_html__( 'Width', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 70,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finiest_coupon_code',
				'function' => 'css',
				'property' => 'width',
				'units'    => '%',
			],
		],
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'coupon_height',
		'label'       => esc_html__( 'Height', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 40,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finiest_coupon_code',
				'function' => 'css',
				'property' => 'height',
				'units'    => 'px',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'cupon_border_property',
		'label'       => esc_html__( 'Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'coupon_border',
		'label'       => esc_html__( 'Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'1px',
		'active_callback' => [
			[
				'setting'  => 'cupon_border_property',
				'operator' => '==',
				'value'    => 'border',
			],
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finiest_coupon_code',
				'function' => 'css',
				'property' => 'border',
				'units'    => 'px',
			],
		],
	] );
	Kirki::add_field( 'finest_panel', [
		'type'        => 'select',
		'settings'    => 'coupon_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'solid',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finiest_coupon_code',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'cupon_border_property',
				'operator' => '==',
				'value'    => 'style',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'coupon_border_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#eaeaea',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finiest_coupon_code',
				'function' => 'css',
				'property' => 'border-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'cupon_border_property',
				'operator' => '==',
				'value'    => 'color',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'coupon_border_radius',
		'label'       => esc_html__( 'Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'0px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '#finiest_coupon_code',
				'function' => 'css',
				'property' => 'border-radius',

			],
		],
	] );


	Kirki::add_field( 'finest_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'applay_normal_hover',
		'label'       => esc_html__( 'Appaly Button Control Content', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'appaly_normal',
		'priority'    => 10,
		'choices'     => [
			'appaly_normal'   => esc_html__( 'Normal', 'ecc' ),
			'appaly_hover' => esc_html__( 'Hover', 'ecc' ),
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'slider',
		'settings'    => 'apply_width',
		'label'       => esc_html__( 'Width', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 90,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'width',
				'units'    => 'px',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			]
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'slider',
		'settings'    => 'apply_height',
		'label'       => esc_html__( 'Height', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 40,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			]
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'height',
				'units'    => 'px',
			],
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'line-height',
				'units'    => 'px',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'applay_background_color',
		'label'       => __( 'Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			]
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'background-color',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'apply_text_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			]
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'color',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'aply_border_property',
		'label'       => esc_html__( 'Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			]
		],
	] );
	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'apply_border',
		'label'       => esc_html__( 'Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'0px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'border',
				'units'    => 'px',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '===',
				'value'    => 'appaly_normal',
			],
			[
				'setting'  => 'aply_border_property',
				'operator' => '===',
				'value'    => 'border',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'select',
		'settings'    => 'apply_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'none',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			],
			[
				'setting'  => 'aply_border_property',
				'operator' => '==',
				'value'    => 'style',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'apply_border_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'border-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_normal',
			],
			[
				'setting'  => 'aply_border_property',
				'operator' => '==',
				'value'    => 'color',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'apply_border_radius',
		'label'       => esc_html__( 'Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'5px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit',
				'function' => 'css',
				'property' => 'border-radius',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '===',
				'value'    => 'appaly_normal',
			]
		],
	] );

	// apply hover

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'apply_text_color_hover',
		'label'       => __( 'Hover Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit:hover',
				'function' => 'css',
				'property' => 'color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_hover',
			]
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'apply_hover_bg_color',
		'label'       => __( 'Hover Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#0170B9',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit:hover',
				'function' => 'css',
				'property' => 'background-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '===',
				'value'    => 'appaly_hover',
			]
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'apply_hover_border_property',
		'label'       => esc_html__( 'Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_hover',
			]
		],
	] );


	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'apply_hover_btn_border',
		'label'       => esc_html__( 'Button Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'0px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit:hover',
				'function' => 'css',
				'property' => 'border',
				'units'    => 'px',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '===',
				'value'    => 'appaly_hover',
			],
			[
				'setting'  => 'apply_hover_border_property',
				'operator' => '==',
				'value'    => 'border',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'select',
		'settings'    => 'apply_hover_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'none',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit:hover',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '===',
				'value'    => 'appaly_hover',
			],
			[
				'setting'  => 'apply_hover_border_property',
				'operator' => '===',
				'value'    => 'style',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'apply_hover_border_color',
		'label'       => __( 'Color ', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit:hover',
				'function' => 'css',
				'property' => 'color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_hover',
			],
			[
				'setting'  => 'apply_hover_border_property',
				'operator' => '==',
				'value'    => 'color',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'hover_apply_border_radius',
		'label'       => esc_html__( 'Button Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'5px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finiest_coupon_submit:hover',
				'function' => 'css',
				'property' => ' border-radius',

			],
		],
		'active_callback' => [
			[
				'setting'  => 'applay_normal_hover',
				'operator' => '==',
				'value'    => 'appaly_hover',
			]
		],
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'custom',
		'settings'    => 'checkout_box',
		'section'     => 'finest_styles',
			'default'         => '<h3 style="padding:12px 0px; text-align: center; font-size: 16px; background:#ddd; color:#222; margin:0;">' . __( 'Checkout', 'ecc' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'checkout_hover_normal_setting',
		'label'       => esc_html__( 'Checkout Button Control', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'normal',
		'priority'    => 10,
		'choices'     => [
			'normal'   => esc_html__( 'Normal', 'ecc' ),
			'hover' => esc_html__( 'Hover', 'ecc' ),
		],
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'checkout_bg_color',
		'label'       => __( 'Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a',
				'function' => 'css',
				'property' => 'background-color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'color_checkout',
		'label'       => __( 'Color', 'ecc' ),
		'description' => esc_html__( 'Checkout Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a',
				'function' => 'css',
				'property' => 'color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'checkout_height',
		'label'       => esc_html__( 'Height', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 55,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a',
				'function' => 'css',
				'property' => 'height',
				'units'    => 'px',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '===',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'dimensions',
		'settings'    => 'checkout_padding',
		'label'       => esc_html__( 'Margin', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => [
			'padding-top'    => '10px',
			'padding-bottom' => '0px',
			'padding-left'   => '0px',
			'padding-right'  => '0px',
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right',
				'function' => 'css',
				'property' => 'padding',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '===',
				'value'    => 'normal',
			],
		]

	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'check_border_property',
		'label'       => esc_html__( 'Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			]
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'chck_btn_border',
		'label'       => esc_html__( 'Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'0px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right',
				'function' => 'css',
				'property' => 'border',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
			[
				'setting'  => 'check_border_property',
				'operator' => '==',
				'value'    => 'border',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'select',
		'settings'    => 'check_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'none',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
			[
				'setting'  => 'check_border_property',
				'operator' => '==',
				'value'    => 'style',
			],
		],
	] );


	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'check_border_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#0088CC',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right',
				'function' => 'css',
				'property' => 'border-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
			[
				'setting'  => 'check_border_property',
				'operator' => '===',
				'value'    => 'color',
			],
		],
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'checkout_border_radius',
		'label'       => esc_html__( 'Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a',
				'function' => 'css',
				'property' => 'border-radius',
				'units'    => 'px',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '===',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'checkout_hover_bg_color',
		'label'       => __( 'Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a:hover',
				'function' => 'css',
				'property' => 'background-color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'checkout_hover_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a:hover',
				'function' => 'css',
				'property' => 'color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'check_hover_border_property',
		'label'       => esc_html__( 'Hover Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			]
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'dimension',
		'settings'    => 'hover_check_border',
		'label'       => esc_html__( 'Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'0px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right:hover',
				'function' => 'css',
				'property' => 'border',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
			[
				'setting'  => 'check_hover_border_property',
				'operator' => '==',
				'value'    => 'border',
			],
		],
	] );

	Kirki::add_field( 'finest_panel', [
		'type'        => 'select',
		'settings'    => 'check_hover_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'none',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right:hover',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
			[
				'setting'  => 'check_hover_border_property',
				'operator' => '==',
				'value'    => 'style',
			],
		],
	] );


	Kirki::add_field( 'finest_panel', [
		'type'        => 'color',
		'settings'    => 'check_hover_border_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#0088CC',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right:hover',
				'function' => 'css',
				'property' => 'border-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
			[
				'setting'  => 'check_hover_border_property',
				'operator' => '===',
				'value'    => 'color',
			],
		],
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'checkout_hover_border_radius',
		'label'       => esc_html__( 'Hover Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-action-right a:hover',
				'function' => 'css',
				'property' => 'border-radius',
				'units'    => 'px',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'checkout_hover_normal_setting',
				'operator' => '===',
				'value'    => 'hover',
			],
		]
	] );



	Kirki::add_field( 'ecc_panel', [
		'type'        => 'custom',
		'settings'    => 'checkout_box_button',
		'section'     => 'finest_styles',
			'default'         => '<h3 style="padding:12px 0px; text-align: center; font-size: 16px; background:#ddd; color:#222; margin:0;">' . __( 'Continue Shopping', 'ecc' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'continue_hover_normal_setting',
		'label'       => esc_html__( 'Continue Button', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'normal',
		'priority'    => 10,
		'choices'     => [
			'normal'   => esc_html__( 'Normal', 'ecc' ),
			'hover' => esc_html__( 'Hover', 'ecc' ),
		],
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'continue_bg_color',
		'label'       => __( 'Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'background-color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'continue_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'continue_height',
		'label'       => esc_html__( 'Height', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 55,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'height',
				'units'    => 'px',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );


	Kirki::add_field( 'ecc_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'continue_border_property',
		'label'       => esc_html__( 'Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'dimension',
		'settings'    => 'continue_btn_border',
		'label'       => esc_html__( 'Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'1px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'border',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
			[
				'setting'  => 'continue_border_property',
				'operator' => '==',
				'value'    => 'border',
			],
		],


	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'select',
		'settings'    => 'continue_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'solid',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '===',
				'value'    => 'normal',
			],
			[
				'setting'  => 'continue_border_property',
				'operator' => '===',
				'value'    => 'style',
			],
		],

	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'continue_border_color',
		'label'       => __( 'Border Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'border-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
			[
				'setting'  => 'continue_border_property',
				'operator' => '==',
				'value'    => 'color',
			],
		],

	] );


	Kirki::add_field( 'ecc_panel', [
		'type'        => 'dimensions',
		'settings'    => 'continue_padding',
		'label'       => esc_html__( 'Margin', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => [
			'margin-top'    => '10px',
			'margin-bottom' => '0px',
			'margin-left'   => '0px',
			'margin-right'  => '0px',
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'margin',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]

	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'continue_border_radius',
		'label'       => esc_html__( 'Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span',
				'function' => 'css',
				'property' => 'border-radius',
				'units'    => 'px',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'normal',
			],
		]
	] );

	// hover property

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'continue_hover_bg_color',
		'label'       => __( 'Hover Background Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span:hover',
				'function' => 'css',
				'property' => 'background-color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'continue_hover_color',
		'label'       => __( 'Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#ffffff',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span:hover',
				'function' => 'css',
				'property' => 'color',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'radio-buttonset',
		'settings'    => 'continue_hover_border_property',
		'label'       => esc_html__( 'Border Property', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'border',
		'priority'    => 10,
		'choices'     => [
			'border'   => esc_html__( 'Border', 'ecc' ),
			'style' => esc_html__( 'Style', 'ecc' ),
			'color'  => esc_html__( 'Color', 'ecc' ),
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
		]
	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'dimension',
		'settings'    => 'contine_hover_btn_border',
		'label'       => esc_html__( 'Hover Border', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     =>'0px',
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span:hover',
				'function' => 'css',
				'property' => 'border',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
			[
				'setting'  => 'continue_hover_border_property',
				'operator' => '==',
				'value'    => 'border',
			],
		],


	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'select',
		'settings'    => 'continue_hover_border_style',
		'label'       => esc_html__( 'Border Style', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 'none',
		'priority'    => 10,
		'multiple'    => 1,
		'choices'     => [
			'none' => esc_html__( 'None', 'ecc' ),
			'dotted' => esc_html__( 'Dotted', 'ecc' ),
			'dashed' => esc_html__( 'Dashed', 'ecc' ),
			'solid' => esc_html__( 'Solid', 'ecc' ),
			'double' => esc_html__( 'Double', 'ecc' ),
			'groove' => esc_html__( 'Groove', 'ecc' ),
			'ridge' => esc_html__( 'Ridge', 'ecc' ),
			'inset' => esc_html__( 'Inset', 'ecc' ),
			'outset' => esc_html__( 'Outset', 'ecc' ),
			'initial' => esc_html__( 'Initial', 'ecc' ),
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span:hover',
				'function' => 'css',
				'property' => 'border-style',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
			[
				'setting'  => 'continue_hover_border_property',
				'operator' => '==',
				'value'    => 'style',
			],
		],

	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'color',
		'settings'    => 'continue_hover_border_color',
		'label'       => __( 'Border Color', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => '#000000',
		'choices'     => [
			'alpha' => true,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span:hover',
				'function' => 'css',
				'property' => 'border-color',
			],
		],
		'active_callback' => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
			[
				'setting'  => 'continue_hover_border_property',
				'operator' => '==',
				'value'    => 'color',
			],
		],

	] );

	Kirki::add_field( 'ecc_panel', [
		'type'        => 'slider',
		'settings'    => 'continue_hover_border_radius',
		'label'       => esc_html__( 'Hover Radius', 'ecc' ),
		'section'     => 'finest_styles',
		'default'     => 5,
		'choices'     => [
			'min'  => 0,
			'max'  => 200,
			'step' => 1,
		],
		'transport' => 'postMessage',
		'js_vars'   => [
			[
				'element'  => '.finest-area-bot .finest-continue span:hover',
				'function' => 'css',
				'property' => 'border-radius',
				'units'    => 'px',
			],
		],
		'active_callback'  => [
			[
				'setting'  => 'continue_hover_normal_setting',
				'operator' => '==',
				'value'    => 'hover',
			],
		]
	] );