<?php
Kirki::add_section( 'product_settings', array(
    'title'          => esc_html__( 'Product', 'ecc' ),
    'panel'          => 'ecc_panel',
    'priority'       => 160,
) );


Kirki::add_field( 'ecc_panel', [
    'type'        => 'color',
    'settings'    => 'pro_bg_color',
    'label'       => __( 'Background Color', 'ecc' ),
    'section'     => 'product_settings',
    'default'     => '#ffffff',
    'choices'     => [
        'alpha' => true,
    ],
    'priority'    => 10,
    'transport' => 'postMessage',
    'js_vars'   => [
        [
            'element'  => '.finest-area-middle .finest-item .finest-item-inner',
            'function' => 'css',
            'property' => 'background-color',
        ],
    ]

] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'radio-buttonset',
    'settings'    => 'product_border_property',
    'label'       => esc_html__( 'Border Property', 'ecc' ),
    'section'     => 'product_settings',
    'default'     => 'border',
    'priority'    => 10,
    'choices'     => [
        'border'   => esc_html__( 'Border', 'ecc' ),
        'style' => esc_html__( 'Style', 'ecc' ),
        'color'  => esc_html__( 'Color', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'dimension',
    'settings'    => 'pro_border',
    'label'       => esc_html__( 'Botton Border', 'ecc' ),
    'section'     => 'product_settings',
    'priority'    => 10,
    'default'     =>'1px',
    'active_callback' => [
        [
            'setting'  => 'product_border_property',
            'operator' => '===',
            'value'    => 'border',
        ],
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'select',
    'settings'    => 'pro_border_style',
    'label'       => esc_html__( 'Border Style', 'ecc' ),
    'section'     => 'product_settings',
    'default'     => 'dashed',
    'priority'    => 10,
    'choices'     => [
        'none' => esc_html__( 'None', 'ecc' ),
        'dotted' => esc_html__( 'Dotted', 'ecc' ),
        'dashed' => esc_html__( 'Dashed', 'ecc' ),
        'solid' => esc_html__( 'Solid', 'ecc' ),
        'double' => esc_html__( 'Double', 'ecc' ),
        'groove' => esc_html__( 'Groove', 'ecc' ),
        'ridge' => esc_html__( 'Ridge', 'ecc' ),
        'inset' => esc_html__( 'Inset', 'ecc' ),
        'outset' => esc_html__( 'Outset', 'ecc' ),
        'initial' => esc_html__( 'Initial', 'ecc' ),
    ],
    'active_callback' => [
        [
            'setting'  => 'product_border_property',
            'operator' => '==',
            'value'    => 'style',
        ],
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'color',
    'settings'    => 'pro_border_color',
    'label'       => __( 'Color', 'ecc' ),
    'section'     => 'product_settings',
    'default'     => '#E9E9E9',
    'choices'     => [
        'alpha' => true,
    ],
    'active_callback' => [
        [
            'setting'  => 'product_border_property',
            'operator' => '==',
            'value'    => 'color',
        ],
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'dimensions',
    'settings'    => 'pro_padding',
    'label'       => esc_html__( 'Padding', 'ecc' ),
    'section'     => 'product_settings',
    'priority'    => 10,
    'default'     => [
        'padding-top'    => '0px',
        'padding-right' => '0px',
        'padding-bottom'   => '15px',
        'padding-left'  => '0px',
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'dimension',
    'settings'    => 'pro_border_radius',
    'label'       => esc_html__( 'Radius', 'ecc' ),
    'section'     => 'product_settings',
    'priority'    => 10,
    'default'     =>'0px',
    'transport' => 'postMessage',
	'js_vars'   => [
		[
			'element'  => '.finest-area-middle .finest-item .finest-item-inner',
			'function' => 'css',
			'property' => 'border-radius',
		],
	]
] );

